# std::ios_base::width

From cppreference.com
< cpp‎ | io‎ | ios base

streamsize width() const; | (1) |
streamsize width( streamsize new_width ); | (2) |

Manages the minimum number of characters to generate on certain output operations and the maximum number of characters to generate on certain output operations.

1) Returns the current field width.
2) Sets the field width to the given one.

### Parameters

new_width | - | new field width setting

### Return value

The field width before the call to the function

### Notes

Some I/O functions call width(0) before returning, see std::setw (this results in this field having effect on the next I/O function only, and not on any subsequent I/O)

The exact effects this modifier has on the input and output vary between the individual I/O functions and are described at each `operator<<` and `operator>>` overload page individually.

### Example

| This section is incomplete Reason: no example

### See also

precision | manages decimal precision of floating point operations (public member function)

Retrieved from "http://en.cppreference.com/mwiki/index.php?title=cpp/io/ios_base/width&oldid=72670"
Category:

- Todo no example